package com.njcn.service.configuration;

import com.njcn.pojo.configuration.DicType;
import com.njcn.pojo.configuration.DicTypeTree;

import java.util.List;

public interface DicDataTypeService {
    // 查
    List<DicType> selectAll();

    List<DicType> All(String typeId);

    DicType selectTypeName(String typeId);

    // 添加
    String saveType(String dicTypeName, String dicTypeDescription);

    List<DicType> getLog(List<String> list);

    //删除
    int deleteType(DicType dt);

    //查询除此之外的名称
    List<DicType> selectName(String dicTypeIndex);

    //修改
    int updateType(DicType dt);

    //树的形成
    List<DicTypeTree> getTreeType();

    //根据Id查询
    List<DicType> selTypeId(String dicTypeIndex);

    // 查询最大的
    int selNumMax();

}
